# Go OpenWeather
This is a simple (but messy) Go project I am working on in my spare time!

It pulls JSON data from [here](https://openweathermap.org/) and uses 'encoding/json' to sort the data!

## Usage
You will need a OpenWeather API-Key. This can be done by opening a free account and creating a key!
```
./go-weather -h
```
Will give:
```text
Usage of ./go-weather:
  -api string
    	Enter you api key here (default "none")
  -city string
    	Enter city e.g. London (default "London")
  -code string
    	Enter Code e.g. uk (default "uk")
```
Running the command in a terminal like so:
```
./go-weather -api=API-KEY -city=Glasgow -code=uk
```
**Will give:**
```
02/17/2022 17:03
📍Location: Glasgow, GB
Weather:☁️ Clouds (few clouds)
🌡️ Temp: 5.46°C (Feels like: 2.36°C)
(Min: 3.97°C, Max: 6.22°C)
🌅Sunrise: 07:37	🌇Sunset: 17:24
```
